//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Elements expressing stratigraphy at the gathering site.
 * 
 * <p>Java class for Stratigraphy complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Stratigraphy"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ChronostratigraphicTerms" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="ChronostratigraphicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StratigraphicTermL" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="BiostratigraphicTerms" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="BiostratigraphicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StratigraphicTermL" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="LithostratigraphicTerms" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="LithostratigraphicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StratigraphicTermL" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="StratigraphyText" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Stratigraphy", propOrder = {
    "chronostratigraphicTerms",
    "biostratigraphicTerms",
    "lithostratigraphicTerms",
    "stratigraphyText"
})
public class Stratigraphy {

    @XmlElement(name = "ChronostratigraphicTerms")
    protected Stratigraphy.ChronostratigraphicTerms chronostratigraphicTerms;
    @XmlElement(name = "BiostratigraphicTerms")
    protected Stratigraphy.BiostratigraphicTerms biostratigraphicTerms;
    @XmlElement(name = "LithostratigraphicTerms")
    protected Stratigraphy.LithostratigraphicTerms lithostratigraphicTerms;
    @XmlElement(name = "StratigraphyText")
    protected StringL stratigraphyText;

    /**
     * Gets the value of the chronostratigraphicTerms property.
     * 
     * @return
     *     possible object is
     *     {@link Stratigraphy.ChronostratigraphicTerms }
     *     
     */
    public Stratigraphy.ChronostratigraphicTerms getChronostratigraphicTerms() {
        return chronostratigraphicTerms;
    }

    /**
     * Sets the value of the chronostratigraphicTerms property.
     * 
     * @param value
     *     allowed object is
     *     {@link Stratigraphy.ChronostratigraphicTerms }
     *     
     */
    public void setChronostratigraphicTerms(Stratigraphy.ChronostratigraphicTerms value) {
        this.chronostratigraphicTerms = value;
    }

    /**
     * Gets the value of the biostratigraphicTerms property.
     * 
     * @return
     *     possible object is
     *     {@link Stratigraphy.BiostratigraphicTerms }
     *     
     */
    public Stratigraphy.BiostratigraphicTerms getBiostratigraphicTerms() {
        return biostratigraphicTerms;
    }

    /**
     * Sets the value of the biostratigraphicTerms property.
     * 
     * @param value
     *     allowed object is
     *     {@link Stratigraphy.BiostratigraphicTerms }
     *     
     */
    public void setBiostratigraphicTerms(Stratigraphy.BiostratigraphicTerms value) {
        this.biostratigraphicTerms = value;
    }

    /**
     * Gets the value of the lithostratigraphicTerms property.
     * 
     * @return
     *     possible object is
     *     {@link Stratigraphy.LithostratigraphicTerms }
     *     
     */
    public Stratigraphy.LithostratigraphicTerms getLithostratigraphicTerms() {
        return lithostratigraphicTerms;
    }

    /**
     * Sets the value of the lithostratigraphicTerms property.
     * 
     * @param value
     *     allowed object is
     *     {@link Stratigraphy.LithostratigraphicTerms }
     *     
     */
    public void setLithostratigraphicTerms(Stratigraphy.LithostratigraphicTerms value) {
        this.lithostratigraphicTerms = value;
    }

    /**
     * Gets the value of the stratigraphyText property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getStratigraphyText() {
        return stratigraphyText;
    }

    /**
     * Sets the value of the stratigraphyText property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setStratigraphyText(StringL value) {
        this.stratigraphyText = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="BiostratigraphicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StratigraphicTermL" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "biostratigraphicTerm"
    })
    public static class BiostratigraphicTerms {

        @XmlElement(name = "BiostratigraphicTerm", required = true)
        protected List<StratigraphicTermL> biostratigraphicTerm;

        /**
         * Gets the value of the biostratigraphicTerm property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the biostratigraphicTerm property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBiostratigraphicTerm().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StratigraphicTermL }
         * 
         * 
         */
        public List<StratigraphicTermL> getBiostratigraphicTerm() {
            if (biostratigraphicTerm == null) {
                biostratigraphicTerm = new ArrayList<StratigraphicTermL>();
            }
            return this.biostratigraphicTerm;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="ChronostratigraphicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StratigraphicTermL" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "chronostratigraphicTerm"
    })
    public static class ChronostratigraphicTerms {

        @XmlElement(name = "ChronostratigraphicTerm", required = true)
        protected List<StratigraphicTermL> chronostratigraphicTerm;

        /**
         * Gets the value of the chronostratigraphicTerm property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the chronostratigraphicTerm property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getChronostratigraphicTerm().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StratigraphicTermL }
         * 
         * 
         */
        public List<StratigraphicTermL> getChronostratigraphicTerm() {
            if (chronostratigraphicTerm == null) {
                chronostratigraphicTerm = new ArrayList<StratigraphicTermL>();
            }
            return this.chronostratigraphicTerm;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="LithostratigraphicTerm" type="{http://www.tdwg.org/schemas/abcd/3.0}StratigraphicTermL" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "lithostratigraphicTerm"
    })
    public static class LithostratigraphicTerms {

        @XmlElement(name = "LithostratigraphicTerm", required = true)
        protected List<StratigraphicTermL> lithostratigraphicTerm;

        /**
         * Gets the value of the lithostratigraphicTerm property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the lithostratigraphicTerm property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getLithostratigraphicTerm().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StratigraphicTermL }
         * 
         * 
         */
        public List<StratigraphicTermL> getLithostratigraphicTerm() {
            if (lithostratigraphicTerm == null) {
                lithostratigraphicTerm = new ArrayList<StratigraphicTermL>();
            }
            return this.lithostratigraphicTerm;
        }

    }

}
